//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
/////////////////////	Gadget Silverlight Script	//////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
///////////////////////////////	Lock Button	//////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function createLockSilverlightPlugin()
{  
    Silverlight.createObject(
        "Silverlight/lock.xaml",       // Source property value.
        LockparentElement,             // DOM reference to hosting DIV tag.
        "lockSilverlightPlugin",       // Unique plug-in ID value.
        {                              // Per-instance properties.
            width:'62',                // Width of rectangular region of 
                                       // plug-in area in pixels.
            height:'20',               // Height of rectangular region of 
                                       // plug-in area in pixels.
            inplaceInstallPrompt:true, // Determines whether to display 
                                       // in-place install prompt if 
                                       // invalid version detected.
            background:'#00D6D6D6',    // Background color of plug-in.
            isWindowless:'true',       // Determines whether to display plug-in 
                                       // in Windowless mode.
            framerate:'24',            // MaxFrameRate property value.
            version:'1.0'              // Silverlight version to use.
        },
        {
            onError:null,              // OnError property value -- 
                                       // event handler function name.
            onLoad:null                // OnLoad property value -- 
                                       // event handler function name.
        },
        null);                         // Context value -- event handler function name.
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
/////////////////////////////	Hibernate Button	//////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function createHibernateSilverlightPlugin()
{  
    Silverlight.createObject(
        "Silverlight/hibernate.xaml",
        HibernateparentElement,
        "hibernateSilverlightPlugin",
        {
            width:'62',
            height:'20',
            inplaceInstallPrompt:true,
            background:'#00D6D6D6',
            isWindowless:'true',
            framerate:'24',
            version:'1.0'
        },
        {
            onError:null,
            onLoad:null
        },
        null);
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
///////////////////////////////	Shutdown Button	//////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function createShutdownSilverlightPlugin()
{  
    Silverlight.createObject(
        "Silverlight/shutdown.xaml",
        ShutdownparentElement,
        "shutdownSilverlightPlugin",
        {
            width:'124',
            height:'20',
            inplaceInstallPrompt:true,
            background:'#00D6D6D6',
            isWindowless:'true',
            framerate:'24',
            version:'1.0'
        },
        {
            onError:null,
            onLoad:null
        },
        null);
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
///////////////////////////////	Standby Button	//////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function createStandbySilverlightPlugin()
{  
    Silverlight.createObject(
        "Silverlight/standby.xaml",
        StandbyparentElement,
        "standbySilverlightPlugin",
        {
            width:'124',
            height:'20',
            inplaceInstallPrompt:true,
            background:'#00D6D6D6',
            isWindowless:'true',
            framerate:'24',
            version:'1.0'
        },
        {
            onError:null,
            onLoad:null
        },
        null);
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////	Restart Button	//////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function createRestartSilverlightPlugin()
{  
    Silverlight.createObject(
        "Silverlight/restart.xaml",
        RestartparentElement,
        "restartSilverlightPlugin",
        {
            width:'61',
            height:'20',
            inplaceInstallPrompt:true,
            background:'#00D6D6D6',
            isWindowless:'true',
            framerate:'24',
            version:'1.0'
        },
        {
            onError:null,
            onLoad:null
        },
        null);
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

function EntP(sender, args)
{
	sender.findName("enterp").begin();
}

function LeaP(sender, args)
{
	sender.findName("leavep").begin();
}

function EntL(sender, args)
{
	sender.findName("enterl").begin();
}

function LeaL(sender, args)
{
	sender.findName("leavel").begin();
}

function EntR(sender, args)
{
	sender.findName("enterr").begin();
}

function LeaR(sender, args)
{
	sender.findName("leaver").begin();
}

function EntH(sender, args)
{
	sender.findName("enterh").begin();
}

function LeaH(sender, args)
{
	sender.findName("leaveh").begin();
}

function EntS(sender, args)
{
	sender.findName("enters").begin();
}

function LeaS(sender, args)
{
	sender.findName("leaves").begin();
}

function DownL(sender, args)
{
	sender.opacity="0.5";
	lock();
}

function DownP(sender, args)
{
	sender.opacity="0.5";
	shutdown();
}

function DownR(sender, args)
{
	sender.opacity="0.5";
	restart();
}

function DownH(sender, args)
{
	sender.opacity="0.5";
	hibernate();
}

function DownS(sender, args)
{
	sender.opacity="0.5";
	standby();
}

function lock()
{
	System.Shell.execute("..\\System32\\rundll32.exe", "user32.dll, LockWorkStation");
}

function hibernate()
{
	System.Shell.execute("..\\System32\\rundll32.exe", "PowrProf,SetSuspendState Hibernate");
}

function shutdown()
{
	System.Shell.execute("..\\System32\\shutdown.exe", "-s -t 0");
}

function restart()
{
	System.Shell.execute("..\\System32\\shutdown.exe", "-r -t 0");
}

function standby()
{
	System.Shell.execute("..\\System32\\Rundll32.exe", "PowrProf,SetSuspendState Sleep");
}

//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
////////////////////////	Gadget Settings Script	//////////////////////////////
//////////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////////

System.Gadget.onSettingsClosing = settingsClosing;
function loadSettings()
{
	var lock = System.Gadget.Settings.read("LockHibernate_0");
	var hibernate = System.Gadget.Settings.read("LockHibernate_1");
	var shutdown = System.Gadget.Settings.read("ShutdownStandby_0");
	var standby = System.Gadget.Settings.read("ShutdownStandby_1");
                
	document.getElementById("LockHibernate_0").checked = lock == "" || lock == "true";
	document.getElementById("ShutdownStandby_0").checked = shutdown == "" || shutdown == "true";
	document.getElementById("LockHibernate_1").checked = hibernate == "true";
	document.getElementById("ShutdownStandby_1").checked = standby == "true";
}

function settingsClosing(event)
{
	if (event.closeAction == event.Action.commit)
	{
		System.Gadget.Settings.write("LockHibernate_0", document.getElementById("LockHibernate_0").checked ? "true" : "false");
		System.Gadget.Settings.write("LockHibernate_1", document.getElementById("LockHibernate_1").checked ? "true" : "false");
		System.Gadget.Settings.write("ShutdownStandby_0", document.getElementById("ShutdownStandby_0").checked ? "true" : "false");
		System.Gadget.Settings.write("ShutdownStandby_1", document.getElementById("ShutdownStandby_1").checked ? "true" : "false");
	}
}

function tab1over()
{
	if(tab1Active.style.visibility == 'hidden')
	{
		tab1Over.style.visibility = 'visible';
	}
	else
	{
		tab1Over.style.visibility = 'hidden';
	}
}

function tab1down()
{
	if(tab1Active.style.visibility == 'hidden')
	{
		tab1Active.style.visibility = 'visible';
		tab3Active.style.visibility = 'hidden';
		radiobuttons.style.visibility = 'visible';
		about.style.visibility = 'hidden';
	}
}

function tab3over()
{
	if(tab3Active.style.visibility == 'hidden')
	{
		tab3Over.style.visibility = 'visible';
	}
	else
	{
		tab3Over.style.visibility = 'hidden';
	}
}

function tab3down()
{
	if(tab3Active.style.visibility == 'hidden')
	{
		tab3Active.style.visibility = 'visible';
		tab1Active.style.visibility = 'hidden';
		radiobuttons.style.visibility = 'hidden';
		about.style.visibility = 'visible';
	}
}